%define zopeproductsdir %{_libdir}/zope/lib/python/Products
%define zopeuser 	zope
%define productname 	PropertyTools
%define productver  	2.0
%define subproducts 	%{productname},PropertyFolder,PropertyObject,PropertyFile

%define __find          /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: Property Folder
Version:            %{productver} 
Release:            1ied04
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
Provides:           zope-PropertyFolder = %{version}-%{release}
Provides:           zope-PropertyObject = %{version}-%{release}
Provides:           zope-PropertyFile = %{version}-%{release}
License:            GPL
URL:                http://mjablonski.zope.de/PropertyTools
Source:             %{productname}-%{productver}.tar.gz
Patch0:             %{productname}-2.0-ordered-folder.patch
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch
#
# Obsoletes will cause these two products uninstalled rather than refreshed 
#
Obsoletes:          zope-PropertyFolder, zope-PropertyObject 
#Conflicts:          zope-PropertyFolder, zope-PropertyObject

#----------------------------------------------------------------------
%description
You want to create database-apps with the ZMI in a few minutes? Then have a look at PropertyFolder...

The PropertyFolder is intended mainly for use in conjunction with the PropertyObject and AbracadabraObject. If you got the logic and power behind AbracadabraObject, you will love the PropertyFolder. If not, you will have no idea what to do with PropertyFolder at all... but maybe you can use it for other problems as well.

#----------------------------------------------------------------------
%prep

%setup -q -c %{productname}
%patch0 -p0

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}
%{__cp} -pr {%{subproducts}} $RPM_BUILD_ROOT%{zopeproductsdir}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/{%{subproducts}} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc %{productname}/CHANGES.txt %{productname}/LICENSE.txt %{productname}/README.txt %{productname}/version.txt
%{zopeproductsdir}/*

#----------------------------------------------------------------------
%pre

if PACKAGE=`rpm -q zope-PropertyFolder`; then
   echo "Uninstalling $PACKAGE..."
   rpm -e $PACKAGE
fi

if PACKAGE=`rpm -q zope-PropertyObject`; then
   echo "Uninstalling $PACKAGE..."
   rpm -e $PACKAGE
fi

#----------------------------------------------------------------------
%changelog
* Sat Jun 19 2004 Wei He <hewei@ied.org.cn> 2.0-1ied04
- updated URL
- product files' ownership changed to root
- automatically uninstall zope-PropertyFolder and zope-PropertyObject

* Wed Apr 21 2004 Wei He <hewei@ied.org.cn> 2.0-1ied02
- now removing *.pyc in {percent}preun section

* Wed Mar 31 2004 Wei He <hewei@ied.org.cn> 2.0-1ied01
- Reapplied ordered-folder patch

* Tue Mar 30 2004 Wei He <hewei@ied.org.cn> 2.0-1ied00
- Initial release based on mjablonski's PropertyTools 2.0
- Supersedes PropertyObject-1.3.3 and PropertyFolder-1.3.3
